### Function

# GLib basename

deprecated: 2.2 since: 2.0

#### Declaration

    const gchar*
    g_basename (
      const gchar* file_name
    )

#### Description

Gets the name of the file without any leading directory components. It returns a pointer into the given file name string.

Available since: 2.0

Deprecated since: 2.2

Use `g_path_get_basename()` instead, but notice that `g_path_get_basename()` allocates new memory for the returned string, unlike this function which returns a pointer into the argument.

#### Parameters

`file_name`

  Type: `const gchar*`

  The name of the file.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `const gchar*`

The name of the file without any leading directory components.

The data is owned by the called function.
The value is a file system path, using the OS encoding.